Bug 1651985 - [abrt] PackageKit: hy_repo_free(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: hy_repo_free(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4c25c2f2584cd21605a19c8175d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 10:59 UTC by ikixxx@gmail.com
Modified: 2018-12-07 02:37 UTC (History)
5 users (show)

Fixed In Version: PackageKit-1.1.12-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:37:47 UTC


Attachments (Terms of Use)
File: backtrace (23.55 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: cgroup (184 bytes, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: core_backtrace (20.87 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: cpuinfo (1.04 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: dso_list (8.25 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: environ (215 bytes, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: maps (48.61 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: mountinfo (4.60 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: open_fds (11.17 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details
File: var_log_messages (550 bytes, text/plain)
2018-11-21 10:59 UTC, ikixxx@gmail.com
no flags Details

Description ikixxx@gmail.com 2018-11-21 10:59:21 UTC
Version-Release number of selected component:
PackageKit-1.1.11-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: hy_repo_free
executable:     /usr/libexec/packagekitd
journald_cursor: s=b9311ee8b46444018e7f3691db61a984;i=1731;b=167acceb64e043989e33655bb2db0a50;m=5a29e474;t=57b020b1e8ccf;x=9ff4f02f9148778f
kernel:         4.18.18-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1507343

Comment 1 ikixxx@gmail.com 2018-11-21 10:59:26 UTC
Created attachment 1507616 [details]
File: backtrace

Comment 2 ikixxx@gmail.com 2018-11-21 10:59:27 UTC
Created attachment 1507617 [details]
File: cgroup

Comment 3 ikixxx@gmail.com 2018-11-21 10:59:29 UTC
Created attachment 1507618 [details]
File: core_backtrace

Comment 4 ikixxx@gmail.com 2018-11-21 10:59:30 UTC
Created attachment 1507619 [details]
File: cpuinfo

Comment 5 ikixxx@gmail.com 2018-11-21 10:59:32 UTC
Created attachment 1507620 [details]
File: dso_list

Comment 6 ikixxx@gmail.com 2018-11-21 10:59:33 UTC
Created attachment 1507621 [details]
File: environ

Comment 7 ikixxx@gmail.com 2018-11-21 10:59:35 UTC
Created attachment 1507622 [details]
File: limits

Comment 8 ikixxx@gmail.com 2018-11-21 10:59:37 UTC
Created attachment 1507623 [details]
File: maps

Comment 9 ikixxx@gmail.com 2018-11-21 10:59:38 UTC
Created attachment 1507624 [details]
File: mountinfo

Comment 10 ikixxx@gmail.com 2018-11-21 10:59:40 UTC
Created attachment 1507625 [details]
File: open_fds

Comment 11 ikixxx@gmail.com 2018-11-21 10:59:41 UTC
Created attachment 1507626 [details]
File: proc_pid_status

Comment 12 ikixxx@gmail.com 2018-11-21 10:59:42 UTC
Created attachment 1507627 [details]
File: var_log_messages

Comment 13 Kalev Lember 2018-11-28 08:58:15 UTC
This should hopefully be fixed in PackageKit 1.1.12 where we fixed a multithreading issue in DnfRepo handling that was likely causing this crash. If the crash is still reproducable after updating to 1.1.12, please reopen the ticket.

Comment 14 Fedora Update System 2018-11-28 09:00:29 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 15 Fedora Update System 2018-11-29 03:16:24 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 16 Fedora Update System 2018-12-07 02:37:47 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.